[QPKG] sherpa mini-package-manager (CLI)

This is the best place for community developers to publish their genius work. Your Apps enrich the QNAP Turbo NAS.
Post Reply
walgarch
New here
Posts: 5
Joined: Tue Jul 07, 2015 10:07 pm

Re: [SCRIPT] sherpa.sh

Post by walgarch » Mon Aug 03, 2020 5:09 pm

OneCD wrote:
Mon Aug 03, 2020 4:11 pm
walgarch wrote:
Mon Aug 03, 2020 3:40 pm
I'm having some trouble with installing SABnzbd+. Not sure where to start :(
Let's start by reinstalling Entware:

Code: Select all

./sherpa.sh ew
That fixed it! :shock:
Sometimes, it seems existing installations of Entware can become "difficult" to work with. So, Entware can also be reinstalled, but this should only be used as a last resort.
I should've tried the last resort first :lol:

Thanks OneCD!

User avatar
HermanW
Getting the hang of things
Posts: 81
Joined: Sun Apr 18, 2010 7:43 pm
Location: NL

Re: [SCRIPT] sherpa.sh

Post by HermanW » Mon Aug 03, 2020 6:55 pm

Hello OneCD,

Reinstall of SickChill went fine, but tried to start it and couldn't:

Code: Select all

[/share/MD0_DATA/.qpkg] # /etc/init.d/sickchill.sh start
= daemon is not active
* updating 'SickChill' from remote repository: OK
* starting daemon: failed!
= ExecuteAndLog()
= output: "/opt/bin/python3: can't open file 'SickChill.py': [Errno 2] No such file or directory"
= result: [2]
[/share/MD0_DATA/.qpkg] #
Creating a backup of sabnzbd didn't went well, sabnzbd2.sh doesn't seem to exist so I tried to use sabnzbd.sh instead:

Code: Select all

[/share/Public] # /etc/init.d/sabnzbd2.sh backup
-sh: /etc/init.d/sabnzbd2.sh: No such file or directory
[/share/Public] # /etc/init.d/sabnzbd.sh backup
Usage: /etc/init.d/sabnzbd.sh {start|stop|restart}
[/share/Public] #
Also I didn't see sabnzbd3.sh so I went to install it with the lastest sherpa:

Code: Select all

[/share/Public] # curl -skLO https://git.io/sherpa.sh && chmod +x sherpa.sh
[/share/Public] # ./sherpa.sh sab
sherpa.sh (200803b)

[ done ] downloaded QPKG (SABnzbd_200803.qpkg)
[ done ] updated 'Entware' package list
[ done ] 24 IPKGs (57MB) to be downloaded
[ done ] downloaded & installed 24 IPKGs
[ done ] downloaded & installed 'Python 3' modules
[ done ] installed QPKG (SABnzbd_200803.qpkg)
[ done ] 'SABnzbd' has been successfully installed!

- To display the runtime debug log:
        cat sherpa.debug.log

[/share/Public] # /etc/init.d/sabnzbd3.sh clean
* checking for UI port 8900 response: (waiting for upto 100 seconds): OK
= daemon is active
* stopping daemon with SIGTERM: (waiting for upto 100 seconds): 1, OK
* cleaning local repo: OK
= daemon is not active
* cloning 'SABnzbd' from remote repository: OK
* updating 'SABnzbd' language translations: OK
* updating 'nzbToMedia' from remote repository: OK
* starting daemon: OK
* checking for UI port 8900 response: (waiting for upto 100 seconds): OK
= 'SABnzbd' UI is now listening on HTTP port 8900
[/share/Public] #
So now I have sabnzbd.sh and sabnzbd3.sh, is there another way to create a backup?

NAS1: TS-832X
F/W: 4.5.1
QPKG: Sherpa, Par2cmdLine, Entware, nzbToMedia, SABnzbd, SickChill (hopefully one day again Watcher3)
NAS2: TS-859 Pro
F/W: 4.2.6

poison123
First post
Posts: 1
Joined: Sat Mar 01, 2014 9:43 am

Re: [SCRIPT] sherpa.sh

Post by poison123 » Tue Aug 04, 2020 12:22 am

Sigh seems I'm in the same group where SAB broke over the weekend for some reason. Updated sherpa to the latest. Went to reinstall SAB and got this:

Code: Select all

[/share/Public] # ./sherpa.sh sab
sherpa.sh (200803b)

[ done ] downloaded QPKG (SABnzbd_200803.qpkg)            
[ done ] updated 'Entware' package list            
[ done ] 40 IPKGs (38MB) to be downloaded                              
[ done ] downloaded & installed 40 IPKGs                                             
[ fail ] Download & install 'Python 3' modules failed ! result: [1] 
[ fail ] 'SABnzbd' install failed! [22]                        

* Please consider creating a new issue for this on GitHub:
	https://github.com/OneCDOnly/sherpa/issues

* Alternatively, post on the QNAP NAS Community Forum:
	https://forum.qnap.com/viewtopic.php?f=320&t=132373

* Remember to include a copy of your sherpa runtime debug log for analysis.

- To display the runtime debug log:
	cat sherpa.debug.log
And here's the debug log:

Code: Select all

[/share/Public] # cat sherpa.debug.log
[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Mon Aug 3 12:11:51 EDT 2020
[ dbug ] (**) SCRIPT:             version: 200803b
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-469 Pro
[ dbug ] (**) NAS   :                 RAM: 3072244 kB
[ dbug ] (**) NAS   :    firmware version: 4.3.4
[ dbug ] (**) NAS   :      firmware build: 20200703
[ dbug ] (**) NAS   :              kernel: 3.4.6 x86_64
[ dbug ] (**) NAS   :           OS uptime: 33 min
[ dbug ] (**) NAS   :         system load: 1 min=0.05, 5 min=0.14, 15 min=0.25
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/CACHEDEV1_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr
[ dbug ] (**) NAS   :                /opt: /share/CACHEDEV1_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: CACHEDEV1_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: sab
[ dbug ] (**) SCRIPT:   app(s) to install: SABnzbd
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x64
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (SABnzbd_200803.qpkg) ...
[ done ] downloaded QPKG (SABnzbd_200803.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin:/Apps/bin:/Apps/sbin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (II) patch: do the "opt shuffle" - already done
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ proc ] updating 'Entware' package list ...
[ done ] updated 'Entware' package list
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: alsa-lib ar binutils ca-bundle ca-certificates ca-certs coreutils coreutils-nice ffprobe file gcc git git-http ionice lame-lib less libatomic libbfd libbz2 libc libcurl libdb47 libexpat libffi libffmpeg-full libgcc libgdbm libgmp libgnutls libiconv-full libintl-full liblzma libmagic libncurses libncursesw libnettle libopcodes libopenssl libopus libpthread librt libsqlite3 libssp libstdcpp libtirpc libuuid libx264 libxml2 nano objdump p7zip python-pip-conf python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo unrar zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:03s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download: libatomic libgmp libgnutls liblzma libnettle libuuid python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml
[ dbug ] (==) calculating size of IPKGs to download ...
[ dbug ] (--) complete
[ dbug ] (vv) $IPKG_download_size [38082338]
[ done ] 40 IPKGs (38MB) to be downloaded
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] downloading & installing 40 IPKGs ...
[ done ] downloaded & installed 40 IPKGs
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:39s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) InstallPy3Modules()
[ proc ] downloading & installing 'Python 3' modules ...
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) /share/Public/sherpa.tmp/Py3-modules.install.log
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   sabyenc3 cheetah3 feedparser configobj cherrypy chardet      --disable-pip-version-check && /opt/bin/pip3 install --force-reinstall --ignore-installed --no-binary :all: sabyenc3 --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
[ dbug ] (LL) Requirement already satisfied: setuptools in /share/CACHEDEV1_DATA/.qpkg/Entware/lib/python3.8/site-packages (41.2.0)
[ dbug ] (LL) WARNING: pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available.
[ dbug ] (LL) Collecting sabyenc3
[ dbug ] (LL) WARNING: Retrying (Retry(total=4, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/sabyenc3/
[ dbug ] (LL) WARNING: Retrying (Retry(total=3, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/sabyenc3/
[ dbug ] (LL) WARNING: Retrying (Retry(total=2, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/sabyenc3/
[ dbug ] (LL) WARNING: Retrying (Retry(total=1, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/sabyenc3/
[ dbug ] (LL) WARNING: Retrying (Retry(total=0, connect=None, read=None, redirect=None, status=None)) after connection broken by 'SSLError("Can't connect to HTTPS URL because the SSL module is not available.")': /simple/sabyenc3/
[ dbug ] (LL) Could not fetch URL https://pypi.org/simple/sabyenc3/: There was a problem confirming the ssl certificate: HTTPSConnectionPool(host='pypi.org', port=443): Max retries exceeded with url: /simple/sabyenc3/ (Caused by SSLError("Can't connect to HTTPS URL because the SSL module is not available.")) - skipping
[ dbug ] (LL) ERROR: Could not find a version that satisfies the requirement sabyenc3 (from versions: none)
[ dbug ] (LL) ERROR: No matching distribution found for sabyenc3
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (<<) InstallPy3Modules() [22]
[ dbug ] (<<) InstallQPKGIndepsAddons() [22]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [22]
[ dbug ] (>>) ShowResult()
[ fail ] 'SABnzbd' install failed! [22]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Mon Aug  3 12:12:50 EDT 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:59s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [22]

------------------Update

Got it working with a reinstall of Entware.....now to figure out why Sickbeard doesn't want to talk to the new install of SAB.

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Tue Aug 04, 2020 4:34 am

HermanW wrote:
Mon Aug 03, 2020 6:55 pm
Hello OneCD,

Reinstall of SickChill went fine, but tried to start it and couldn't:

Code: Select all

= output: "/opt/bin/python3: can't open file 'SickChill.py': [Errno 2] No such file or directory"
Please clean the SickChill package with:

Code: Select all

/etc/init.d/sickchill.sh clean
HermanW wrote:
Mon Aug 03, 2020 6:55 pm

Code: Select all

Usage: /etc/init.d/sabnzbd.sh {start|stop|restart}
Ah, looks like you have a much earlier version of the 'SABnzbdplus' service script than I thought. :(

No problem, let's do a manual backup of your 'SABnzbdplus' config and make it appear as if it was done by 'SABnzbd':

Code: Select all

/bin/tar --create --gzip --file=$(getcfg SHARE_DEF defVolMP -f /etc/config/def_share.info)/.qpkg_config_backup/SABnzbd.config.tar.gz --directory=$(getcfg SABnzbdplus Install_Path -f /etc/config/qpkg.conf)/config .
... then restore it into 'SABnzbd':

Code: Select all

/etc/init.d/sabnzbd3.sh restore

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Tue Aug 04, 2020 4:38 am

poison123 wrote:
Tue Aug 04, 2020 12:22 am
------------------Update

Got it working with a reinstall of Entware...
Good work. :geek:
poison123 wrote:
Tue Aug 04, 2020 12:22 am
...now to figure out why Sickbeard doesn't want to talk to the new install of SAB.
SickBeard is quite old and is no-longer developed or supported. Try one of the newer forks like SickChill, SickGear, Medusa, etc...

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
dirkonline
Easy as a breeze
Posts: 266
Joined: Mon Oct 18, 2010 4:08 pm

Re: [SCRIPT] sherpa.sh

Post by dirkonline » Wed Aug 05, 2020 12:53 am

Cheers @OneCD I hope life is treating you well and that you and your loved ones are safe and healthy.

Life has kept me busy but I wanted to check on the status and just saw on the first post, that SABNZDB now points to the current which is version 3. So, because I didn’t see it when I had a look, what is the intended way to migrate the existing SAB 2.3.9 to 3x using Sherpa?

User avatar
HermanW
Getting the hang of things
Posts: 81
Joined: Sun Apr 18, 2010 7:43 pm
Location: NL

Re: [SCRIPT] sherpa.sh

Post by HermanW » Wed Aug 05, 2020 2:56 am

Hello OneCD,

Thanks for the help, SickChill seem to run again, just a warning in the GUI: "You're using the py3-again branch. Please use 'master' unless specifically asked".

Backup and restore settings of SABnzbd seem to work as well too, again very grateful. In the GUI I see now:
"ERROR Essential modules are missing, downloading cannot start."
"ERROR par2 binary... NOT found!"
Is there a easy way to fix this? I did try to run the install & clean start of sabnzbd again without better result about the modules.

NAS1: TS-832X
F/W: 4.5.1
QPKG: Sherpa, Par2cmdLine, Entware, nzbToMedia, SABnzbd, SickChill (hopefully one day again Watcher3)
NAS2: TS-859 Pro
F/W: 4.2.6

User avatar
HermanW
Getting the hang of things
Posts: 81
Joined: Sun Apr 18, 2010 7:43 pm
Location: NL

Re: [SCRIPT] sherpa.sh

Post by HermanW » Wed Aug 05, 2020 3:08 am

Hi OneCD,

Par2 is installed so I did a reboot and the error doesn't show anymore. Thank you for the help and keep up the good work.

NAS1: TS-832X
F/W: 4.5.1
QPKG: Sherpa, Par2cmdLine, Entware, nzbToMedia, SABnzbd, SickChill (hopefully one day again Watcher3)
NAS2: TS-859 Pro
F/W: 4.2.6

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Wed Aug 05, 2020 5:02 am

dirkonline wrote:
Wed Aug 05, 2020 12:53 am
Cheers @OneCD I hope life is treating you well and that you and your loved ones are safe and healthy.
Hey Dirk, you too. :D
dirkonline wrote:
Wed Aug 05, 2020 12:53 am
So, because I didn’t see it when I had a look, what is the intended way to migrate the existing SAB 2.3.9 to 3x using Sherpa?
The new SAB3 has been created as a new QPKG called 'SABnzbd'. The previous one was called 'SABnzbdplus'.

If you were using an older version of the 'SABnzbdplus' QPKG, then suggest backing-up your settings, then restoring them into the new 'SABnzbd' QPKG.

Please download the latest sherpa.sh (as per the notes in the first post in this topic) and install 'SABnzbd' (SAB3):

Code: Select all

./sherpa.sh sab
... then create a manual backup from your old 'SABnzbdplus':

Code: Select all

/bin/tar --create --gzip --file=$(getcfg SHARE_DEF defVolMP -f /etc/config/def_share.info)/.qpkg_config_backup/SABnzbd.config.tar.gz --directory=$(getcfg SABnzbdplus Install_Path -f /etc/config/qpkg.conf)/config .
... then stop the old package:

Code: Select all

[[ -e /etc/init.d/sabnzbd2.sh ]] && /etc/init.d/sabnzbd2.sh stop || /etc/init.d/sabnzbd.sh stop
... then restore your backup into 'SABnzbd':

Code: Select all

/etc/init.d/sabnzbd3.sh restore
Once you've confirmed 'SABnzbd' works fine, you can uninstall the older 'SABnzbdplus' QPKG from your App Center.

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Wed Aug 05, 2020 5:46 am

HermanW wrote:
Wed Aug 05, 2020 2:56 am
Thanks for the help, SickChill seem to run again, just a warning in the GUI: "You're using the py3-again branch. Please use 'master' unless specifically asked".
Yes, we'll stay on this branch until it's been merged back into the 'master' branch. You can ignore that warning.
HermanW wrote:
Wed Aug 05, 2020 3:08 am
Thank you for the help and keep up the good work.
No worries mate. :D

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
dirkonline
Easy as a breeze
Posts: 266
Joined: Mon Oct 18, 2010 4:08 pm

Re: [SCRIPT] sherpa.sh

Post by dirkonline » Wed Aug 05, 2020 7:17 pm

OneCD wrote:
Wed Aug 05, 2020 5:02 am
Please download the latest sherpa.sh (as per the notes in the first post in this topic) and install 'SABnzbd' (SAB3):

Code: Select all

./sherpa.sh sab
... then create a manual backup from your old 'SABnzbdplus':

Code: Select all

/bin/tar --create --gzip --file=$(getcfg SHARE_DEF defVolMP -f /etc/config/def_share.info)/.qpkg_config_backup/SABnzbd.config.tar.gz --directory=$(getcfg SABnzbdplus Install_Path -f /etc/config/qpkg.conf)/config .
... then stop the old package:

Code: Select all

[[ -e /etc/init.d/sabnzbd2.sh ]] && /etc/init.d/sabnzbd2.sh stop || /etc/init.d/sabnzbd.sh stop
... then restore your backup into 'SABnzbd':

Code: Select all

/etc/init.d/sabnzbd3.sh restore
Once you've confirmed 'SABnzbd' works fine, you can uninstall the older 'SABnzbdplus' QPKG from your App Center.
Thank you! That worked like a charm :) Just tried passing a download from Medusa, works. Post-Processing seems to work as well.

Is there need to do any additional clean up?

I did see, that OpenSSL seems to be an older version "OpenSSL 1.1.1d 10 Sep 2019" is that correct? I remember we saw that at some point and you considered integrating this into the update check when performing a restart of the packages.

User avatar
rop
Know my way around
Posts: 158
Joined: Fri Dec 17, 2010 8:16 am

Re: [SCRIPT] sherpa.sh

Post by rop » Thu Aug 06, 2020 2:23 am

Hello, a friends SABNZB updated itself and suddenly stopped working.
Tried the trusted Sherpa script but this time no cheer as it gave me an error.

Code: Select all

[/share/Public] # ./sherpa.sh sab
sherpa.sh (200804c)

[ done ] 'Entware' package list is up-to-date 
[ done ] no IPKGs are required                                         
[ fail ] Download & install 'Python 3' modules failed ! result: [1] 
[ fail ] 'SABnzbd' install failed! [22]                        

* Please consider creating a new issue for this on GitHub:
	https://github.com/OneCDOnly/sherpa/issues

* Alternatively, post on the QNAP NAS Community Forum:
	https://forum.qnap.com/viewtopic.php?f=320&t=132373

* Remember to include a copy of your sherpa runtime debug log for analysis.

- To display the runtime debug log:
	cat sherpa.debug.log
And here is the log.

Code: Select all

[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Wed Aug 5 13:14:30 COT 2020
[ dbug ] (**) SCRIPT:             version: 200804c
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-453A
[ dbug ] (**) NAS   :                 RAM: 3952012 kB
[ dbug ] (**) NAS   :    firmware version: 4.4.3
[ dbug ] (**) NAS   :      firmware build: 20200729
[ dbug ] (**) NAS   :              kernel: 4.14.24-qnap x86_64
[ dbug ] (**) NAS   :           OS uptime: 42 min
[ dbug ] (**) NAS   :         system load: 1 min=5.40, 5 min=5.41, 15 min=5.00
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/CACHEDEV1_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr
[ dbug ] (**) NAS   :                /opt: /share/CACHEDEV1_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: CACHEDEV1_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: SABnzbd
[ dbug ] (**) SCRIPT:   app(s) to install: SABnzbd
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x64
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ proc ] downloading QPKG (SABnzbd_200804.qpkg) ...
[ done ] downloaded QPKG (SABnzbd_200804.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (II) patch: do the "opt shuffle" - already done
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ dbug ] (II) 'Entware' package list was updated less than 60 minutes ago
[ done ] 'Entware' package list is up-to-date
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: alsa-lib ar binutils ca-bundle ca-certificates ca-certs coreutils coreutils-nice ffprobe file gcc git git-http ionice lame-lib less libatomic libbfd libbz2 libc libcurl libdb47 libexpat libffi libffmpeg-full libgcc libgdbm libgmp libgnutls libiconv-full libintl-full liblzma libmagic libncurses libncursesw libnettle libopcodes libopenssl libopus libpthread librt libsqlite3 libssp libstdcpp libtirpc libuuid libx264 libxml2 nano objdump p7zip python-pip-conf python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo unrar zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:03s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download: 
[ done ] no IPKGs are required
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) InstallPy3Modules()
[ proc ] downloading & installing 'Python 3' modules ...
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) /share/Public/sherpa.tmp/Py3-modules.install.log
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   sabyenc3 cheetah3 feedparser configobj cherrypy chardet      --disable-pip-version-check && /opt/bin/pip3 install --force-reinstall --ignore-installed --no-binary :all: sabyenc3 --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) Requirement already satisfied: setuptools in /share/CACHEDEV1_DATA/.qpkg/Entware/lib/python3.8/site-packages (41.2.0)
[ dbug ] (LL) Collecting sabyenc3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/72/ea/d2de7895663bbe870fd74314ad513c4ff880b22df7739d29d58a4b4cb6dd/sabyenc3-4.0.2-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting cheetah3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/8e/bc/47cde6067d2e40a2770216e2a84d591ca05351f6d7b916f9afecd9a90a4f/Cheetah3-3.2.5-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting feedparser
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/91/d8/7d37fec71ff7c9dbcdd80d2b48bcdd86d6af502156fc93846fb0102cb2c4/feedparser-5.2.1.tar.bz2
[ dbug ] (LL) ERROR: Command errored out with exit status 1:
[ dbug ] (LL) command: /opt/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/setup.py'"'"'; __file__='"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
[ dbug ] (LL) cwd: /share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/
[ dbug ] (LL) Complete output (7 lines):
[ dbug ] (LL) Traceback (most recent call last):
[ dbug ] (LL) File "<string>", line 1, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/ctypes/__init__.py", line 7, in <module>
[ dbug ] (LL) ImportError: libffi.so.7: cannot open shared object file: No such file or directory
[ dbug ] (LL) ----------------------------------------
[ dbug ] (LL) ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (<<) InstallPy3Modules() [22]
[ dbug ] (<<) InstallQPKGIndepsAddons() [22]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [22]
[ dbug ] (>>) ShowResult()
[ fail ] 'SABnzbd' install failed! [22]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Wed Aug  5 13:14:56 COT 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:26s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [22]
[ dbug ] (II) ========================================================================
[ dbug ] (**) SCRIPT:             started: Wed Aug 5 13:19:32 COT 2020
[ dbug ] (**) SCRIPT:             version: 200804c
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (II) Markers: (**) detected, (II) information, (WW) warning, (LL) log file,
[ dbug ] (II)  (EE) error, (==) processing, (--) done, (>>) f entry, (<<) f exit,
[ dbug ] (II)  (vv) variable name & value, ($1) positional argument value.
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) NAS   :               model: TS-453A
[ dbug ] (**) NAS   :                 RAM: 3952012 kB
[ dbug ] (**) NAS   :    firmware version: 4.4.3
[ dbug ] (**) NAS   :      firmware build: 20200729
[ dbug ] (**) NAS   :              kernel: 4.14.24-qnap x86_64
[ dbug ] (**) NAS   :           OS uptime: 47 min
[ dbug ] (**) NAS   :         system load: 1 min=4.52, 5 min=5.38, 15 min=5.14
[ dbug ] (**) NAS   :                USER: admin
[ dbug ] (**) NAS   :                EUID: 0
[ dbug ] (**) NAS   :      default volume: /share/CACHEDEV1_DATA
[ dbug ] (**) NAS   :               $PATH: /opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr
[ dbug ] (**) NAS   :                /opt: /share/CACHEDEV1_DATA/.qpkg/Entware
[ dbug ] (**) NAS   :     /share/Download: CACHEDEV1_DATA/Download
[ dbug ] (**) SCRIPT:  unparsed arguments: sab
[ dbug ] (**) SCRIPT:   app(s) to install: SABnzbd
[ dbug ] (**) SCRIPT: app(s) to uninstall
[ dbug ] (**) SCRIPT: app(s) to reinstall
[ dbug ] (**) SCRIPT:    app(s) to update
[ dbug ] (**) SCRIPT:    app(s) to backup
[ dbug ] (**) SCRIPT:   app(s) to restore
[ dbug ] (**) SCRIPT:           work path: /share/Public/sherpa.tmp
[ dbug ] (**) QPKG  :       download path: /share/Public/sherpa.tmp/qpkg-downloads
[ dbug ] (**) IPKG  :       download path: /share/Public/sherpa.tmp/ipkg-downloads
[ dbug ] (**) QPKG  :                arch: x64
[ dbug ] (**) QPKG  :   Entware installer: std
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (>>) DownloadQPKGs()
[ dbug ] (>>) DownloadQPKG()
[ dbug ] (II) existing QPKG checksum correct (SABnzbd_200804.qpkg)
[ dbug ] (<<) DownloadQPKG() [0]
[ dbug ] (<<) DownloadQPKGs() [0]
[ dbug ] (>>) RemoveUnwantedQPKGs()
[ dbug ] (**) QPKG  :           'Optware': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-3x': not installed [250]
[ dbug ] (**) QPKG  :        'Entware-ng': not installed [250]
[ dbug ] (<<) RemoveUnwantedQPKGs() [0]
[ dbug ] (>>) InstallQPKGIndeps()
[ dbug ] (--) adjusted $PATH
[ dbug ] (vv) $PATH [/opt/bin:/opt/sbin:/opt/bin:/opt/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/bin/X11:/usr/local/sbin:/usr/local/bin]
[ dbug ] (>>) PatchBaseInit()
[ dbug ] (II) patch: do the "opt shuffle" - already done
[ dbug ] (<<) PatchBaseInit() [0]
[ dbug ] (<<) InstallQPKGIndeps() [0]
[ dbug ] (>>) InstallQPKGIndepsAddons()
[ dbug ] (>>) InstallIPKGs()
[ dbug ] (>>) UpdateEntware()
[ dbug ] (II) 'Entware' package list was updated less than 60 minutes ago
[ done ] 'Entware' package list is up-to-date
[ dbug ] (<<) UpdateEntware() [0]
[ dbug ] (>>) InstallIPKGBatch()
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) STAGE :   start stage timer
[ proc ] calculating number and total size of IPKGs required ...
[ dbug ] (II) IPKGs requested: ca-certificates coreutils-nice ffprobe gcc git git-http ionice less nano p7zip python3 python3-cryptography python3-dev python3-pip python3-pyopenssl unrar
[ dbug ] (==) finding IPKG dependencies ...
[ dbug ] (--) complete
[ dbug ] (II) found all IPKG dependencies in 13 iterations
[ dbug ] (II) IPKGs requested + dependencies: alsa-lib ar binutils ca-bundle ca-certificates ca-certs coreutils coreutils-nice ffprobe file gcc git git-http ionice lame-lib less libatomic libbfd libbz2 libc libcurl libdb47 libexpat libffi libffmpeg-full libgcc libgdbm libgmp libgnutls libiconv-full libintl-full liblzma libmagic libncurses libncursesw libnettle libopcodes libopenssl libopus libpthread librt libsqlite3 libssp libstdcpp libtirpc libuuid libx264 libxml2 nano objdump p7zip python-pip-conf python3 python3-asyncio python3-base python3-cffi python3-cgi python3-cgitb python3-codecs python3-cryptography python3-ctypes python3-dbm python3-decimal python3-dev python3-distutils python3-email python3-gdbm python3-lib2to3 python3-light python3-logging python3-lzma python3-multiprocessing python3-ncurses python3-openssl python3-pip python3-pkg-resources python3-ply python3-pycparser python3-pydoc python3-pyopenssl python3-setuptools python3-six python3-sqlite3 python3-unittest python3-urllib python3-xml terminfo unrar zlib
[ dbug ] (**) STAGE :        elapsed time: 00h:00m:03s
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (==) excluding IPKGs already installed ...
[ dbug ] (--) complete
[ dbug ] (II) IPKGs to download: 
[ done ] no IPKGs are required
[ dbug ] (<<) InstallIPKGBatch() [0]
[ dbug ] (<<) InstallIPKGs() [0]
[ dbug ] (>>) InstallPy3Modules()
[ proc ] downloading & installing 'Python 3' modules ...
[ fail ] Download & install 'Python 3' modules failed ! result: [1]
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) /share/Public/sherpa.tmp/Py3-modules.install.log
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   sabyenc3 cheetah3 feedparser configobj cherrypy chardet      --disable-pip-version-check && /opt/bin/pip3 install --force-reinstall --ignore-installed --no-binary :all: sabyenc3 --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) Requirement already satisfied: setuptools in /share/CACHEDEV1_DATA/.qpkg/Entware/lib/python3.8/site-packages (41.2.0)
[ dbug ] (LL) Collecting sabyenc3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/72/ea/d2de7895663bbe870fd74314ad513c4ff880b22df7739d29d58a4b4cb6dd/sabyenc3-4.0.2-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting cheetah3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/8e/bc/47cde6067d2e40a2770216e2a84d591ca05351f6d7b916f9afecd9a90a4f/Cheetah3-3.2.5-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting feedparser
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/91/d8/7d37fec71ff7c9dbcdd80d2b48bcdd86d6af502156fc93846fb0102cb2c4/feedparser-5.2.1.tar.bz2
[ dbug ] (LL) ERROR: Command errored out with exit status 1:
[ dbug ] (LL) command: /opt/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/setup.py'"'"'; __file__='"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
[ dbug ] (LL) cwd: /share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-iqixhirg/feedparser/
[ dbug ] (LL) Complete output (7 lines):
[ dbug ] (LL) Traceback (most recent call last):
[ dbug ] (LL) File "<string>", line 1, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/ctypes/__init__.py", line 7, in <module>
[ dbug ] (LL) ImportError: libffi.so.7: cannot open shared object file: No such file or directory
[ dbug ] (LL) ----------------------------------------
[ dbug ] (LL) ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) = command: '/opt/bin/pip3 install setuptools --disable-pip-version-check && /opt/bin/pip3 install   sabyenc3 cheetah3 feedparser configobj cherrypy chardet      --disable-pip-version-check && /opt/bin/pip3 install --force-reinstall --ignore-installed --no-binary :all: sabyenc3 --disable-pip-version-check'
[ dbug ] (LL) ! result: [1]
[ dbug ] (LL) = stdout begins next line: ▼
[ dbug ] (LL) Requirement already satisfied: setuptools in /share/CACHEDEV1_DATA/.qpkg/Entware/lib/python3.8/site-packages (41.2.0)
[ dbug ] (LL) Collecting sabyenc3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/72/ea/d2de7895663bbe870fd74314ad513c4ff880b22df7739d29d58a4b4cb6dd/sabyenc3-4.0.2-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting cheetah3
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/8e/bc/47cde6067d2e40a2770216e2a84d591ca05351f6d7b916f9afecd9a90a4f/Cheetah3-3.2.5-cp38-cp38-manylinux1_x86_64.whl
[ dbug ] (LL) Collecting feedparser
[ dbug ] (LL) Using cached https://files.pythonhosted.org/packages/91/d8/7d37fec71ff7c9dbcdd80d2b48bcdd86d6af502156fc93846fb0102cb2c4/feedparser-5.2.1.tar.bz2
[ dbug ] (LL) ERROR: Command errored out with exit status 1:
[ dbug ] (LL) command: /opt/bin/python3 -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-cyy0oq9c/feedparser/setup.py'"'"'; __file__='"'"'/share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-cyy0oq9c/feedparser/setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(__file__);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, __file__, '"'"'exec'"'"'))' egg_info --egg-base pip-egg-info
[ dbug ] (LL) cwd: /share/CACHEDEV1_DATA/.qpkg/Entware/tmp/pip-install-cyy0oq9c/feedparser/
[ dbug ] (LL) Complete output (7 lines):
[ dbug ] (LL) Traceback (most recent call last):
[ dbug ] (LL) File "<string>", line 1, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/__init__.py", line 20, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/dist.py", line 35, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/site-packages/setuptools/windows_support.py", line 2, in <module>
[ dbug ] (LL) File "/opt/lib/python3.8/ctypes/__init__.py", line 7, in <module>
[ dbug ] (LL) ImportError: libffi.so.7: cannot open shared object file: No such file or directory
[ dbug ] (LL) ----------------------------------------
[ dbug ] (LL) ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.
[ dbug ] (LL) = stdout complete: ▲
[ dbug ] (LL) ------------------------------------------------------------------------
[ dbug ] (<<) InstallPy3Modules() [22]
[ dbug ] (<<) InstallQPKGIndepsAddons() [22]
[ dbug ] (>>) Cleanup()
[ dbug ] (<<) Cleanup() [22]
[ dbug ] (>>) ShowResult()
[ fail ] 'SABnzbd' install failed! [22]
[ dbug ] (vv) $suggest_issue [true]
[ dbug ] (II) ------------------------------------------------------------------------
[ dbug ] (**) SCRIPT:            finished: Wed Aug  5 13:19:52 COT 2020
[ dbug ] (**) SCRIPT:        elapsed time: 00h:00m:20s
[ dbug ] (II) ========================================================================
[ dbug ] (<<) ShowResult() [22]
Any one will be greatly appreciated.

Thank you in advance.

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Thu Aug 06, 2020 2:44 am

rop wrote:
Thu Aug 06, 2020 2:23 am
Hello, a friends SABNZB updated itself and suddenly stopped working.
Hey @rop. :D

Can you please reinstall Entware?

Code: Select all

./sherpa.sh ew

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
OneCD
Ask me anything
Posts: 8480
Joined: Sun Aug 21, 2016 10:48 am
Location: "... there, behind that sofa!"

Re: [SCRIPT] sherpa.sh

Post by OneCD » Thu Aug 06, 2020 2:47 am

dirkonline wrote:
Wed Aug 05, 2020 7:17 pm
Thank you! That worked like a charm :) Just tried passing a download from Medusa, works. Post-Processing seems to work as well.
Great!
dirkonline wrote:
Wed Aug 05, 2020 7:17 pm
Is there need to do any additional clean up?
Nope, nothing else I can think of.
dirkonline wrote:
Wed Aug 05, 2020 7:17 pm
I did see, that OpenSSL seems to be an older version "OpenSSL 1.1.1d 10 Sep 2019" is that correct? I remember we saw that at some point and you considered integrating this into the update check when performing a restart of the packages.
I'll check on this when I next power-up my old NAS and get back to you.

ImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImageImage

User avatar
rop
Know my way around
Posts: 158
Joined: Fri Dec 17, 2010 8:16 am

Re: [SCRIPT] sherpa.sh

Post by rop » Thu Aug 06, 2020 4:26 am

@oneCD Thank you, worked perfectly, please keep safe.
OneCD wrote:
Thu Aug 06, 2020 2:44 am
rop wrote:
Thu Aug 06, 2020 2:23 am
Hello, a friends SABNZB updated itself and suddenly stopped working.
Hey @rop. :D

Can you please reinstall Entware?

Code: Select all

./sherpa.sh ew

Post Reply

Return to “Community Apps”